GNUMP3d(1)

NAME
GNUMP3d - GNU MP3 / OGG Vorbis Streaming Server

SYNOPSIS
gnump3d [options]

gnump3d is a simple server allows you to stream MP3/OGG/Movie files across a network. It is designed to be simple, reliable, and extensible - with the addition of plugins. It's user interface may also be changed with the addition of themes.

OPTIONS
The following options are supported: --background

Run in the background after starting the server. --debug

Run in the foreground, outputting any diagnostics to the console. --fast

Fast startup, don't index the music archive to build a song tag database. --quiet

Don't display the startup banner when the program starts. --version

Show the version number of the gnump3d software, then exit. --help

Display brief usage instructions, then exit. --lang xx

Set the language the server should show it's output in. ("en" by default). --plugin-dir directory

Specify which directory the plugins should be read from. --theme-dir directory

Specify which directory the theme files should be read from. --dump-plugins

Display all the plugins that the server has found, their versions authors, and descriptions. --port port

Set which port the program should listen upon. --root directory

Specify the root of your music archive, which is presented to clients.

AUTHOR Steve Kemp <steve@steve.org.uk>

SEE ALSO
gnump3d.conf(1), gnump3d-top(1)